package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.WmshInboundResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface WmshInboundResultMapper extends IBaseMapper<WmshInboundResult, BigDecimal> {
    //查询最大序列号用于主键
    @Select("select seq_wmsh_in.nextval  from dual")
    Integer getResultId();

    //查询港存库入库实绩
    List<Map<String, Object>> getAllResult(Map<String, Object> map);

    //通过Id查询港存库入库 用于修改
    List<Map<String, Object>> getResultById(Integer resultId);

    //修改绑定的所有入库表的批次
    int updateForBind(Map<String, Object> map);

    List<Map<String, Object>> findInboundDetail(Map<String, Object> map);
}