package com.steerinfo.dil.service;

import java.util.List;
import java.util.Map;

/**
 * WmshGridMaterial服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-09 07:25
 * 类描述
 * 修订历史：
 * 日期：2021-10-09
 * 作者：generator
 * 参考：
 * 描述：WmshGridMaterial服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IWmshGridMaterialService {

    /**
     * 展示下游港口库存
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getUnloadPortStockList(Map<String, Object> mapVal);

    /**
     * 展示万州港库存
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getLoadPortStockList(Map<String, Object> mapVal);

    /**
     * 展示下游港口库存
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getDownPortStockList(Map<String, Object> mapVal);

    List<Map<String,Object>> getRunStockList(Map<String, Object> mapVal);

    /**
     * 修改实时库存
     * @param map
     * @return
     */
    int updatePortStock(Map<String, Object> map);

    int clearWmshGridMaterial(Map<String, Object> map);

    List<Map<String, Object>> getLoadPortStockByMaterialName(Map<String, Object> mapVal);

    List<Map<String, Object>> getUnLockPortStock(Map<String, Object> mapVal);

    int updateWmshGridMaterial(Map<String, Object> map);
}